'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _adapters = require('../adapters');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    id: 'com.mercadopago',

    form: [{ type: 'string', name: 'clientId' }, { type: 'string', name: 'clientSecret' }, { type: 'country', name: 'countryCode' }],

    // @see https://www.about-payments.com/knowledge-base/method/mercadopago#countries
    countries: ['AR', 'BR', 'CL', 'CO', 'MX', 'VE'],

    fields: ['holderName', 'holderId', 'csc'],

    formValuesToMerchant: _adapters.simpleFormValuesToMerchant,
    merchantToFormValues: _adapters.simpleMerchantToFormValues,
    keyToMerchant: JSON.parse,
    merchantToKey: _stringify2.default,

    ranking: 4
};