'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _adapters = require('../adapters');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    id: 'com.paymentexpress',

    form: [{ type: 'string', name: 'username' }, { type: 'string', name: 'password' }],

    // @see https://www.paymentexpress.com/Knowledge_Base/Connectivity.aspx
    // @see https://www.paymentexpress.com/Knowledge_Base/Bank_Guides
    countries: ['AU', 'BD', 'BN', 'CA', 'GB', 'HK', 'IE', 'MO', 'MY', 'NZ', 'SG', 'US', 'ZA'],

    fields: [],

    formValuesToMerchant: _adapters.simpleFormValuesToMerchant,
    merchantToFormValues: _adapters.simpleMerchantToFormValues,
    keyToMerchant: JSON.parse,
    merchantToKey: _stringify2.default,

    ranking: 2
};